Page MenuHomePhabricator

D14253.id.diff
No OneTemporary

D14253.id.diff

diff --git a/contrib/extract-electrum.sh b/contrib/extract-electrum.sh
new file mode 100755
--- /dev/null
+++ b/contrib/extract-electrum.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+export LC_ALL=C
+set -euo pipefail
+
+if [ -e electrumabc-mirror ]; then
+ echo electrumabc-mirror already exist in the current directory.
+ exit 1
+fi
+
+# Find the source repository's location.
+pushd "$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
+REPO_DIR=$(git rev-parse --show-toplevel)
+popd
+
+git clone "file://${REPO_DIR}" electrumabc-mirror -b master
+
+pushd electrumabc-mirror
+git filter-repo --path electrum --path-rename electrum/:
+git remote add github https://github.com/Bitcoin-ABC/ElectrumABC.git
+git pull github master --rebase --strategy-option=theirs
+git gc --prune=now
+popd

File Metadata

Mime Type
text/plain
Expires
Tue, May 20, 22:37 (21 h, 15 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
5862004
Default Alt Text
D14253.id.diff (807 B)

Event Timeline